<?php
/*
Plugin Name: Excerpt Preview
Plugin URI: http://pericat.ca/unlock/
Description: Adds a preview of the post's excerpt below that of its content following a 'save'.
Author: pericat
Author URI: http://pericat.ca/
Version: 1.1
Date: 26 June 2004
*/ 
/*--------------
	v1.1: fixed gross error on my part. previewing now restricted to actual 'write/edit post' page.
--------------*/

function preview_excerpt () {
	global $post, $post_ID;
	
	if(empty($post->post_excerpt) || empty($post_ID)) {
		return;
	}
	
	echo ('<div class="wrap">');
	echo ('<div class="storycontent">');
	echo ('<br />');
	echo ('<h2>Excerpt Preview (updated when post is saved)</h2>');
	$excerpt = apply_filters('the_excerpt', $post->post_excerpt);
	echo $excerpt;
	echo ('</div>');
	echo ('</div>');
}

add_action('admin_footer', 'preview_excerpt');

?>
